<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="https://fonts.googleapis.com/css2?family=Antic+Slab&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/style.css}" />
</head>
<body>

<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Image url changer</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="exampleInputEmail1">Image url</label>
                    <input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                    <small id="emailHelp" class="form-text text-muted">Please provide a valid url...</small>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal" onClick="changeImageSrc()">Update img url</button>
            </div>
        </div>
    </div>
</div>





<div class="mainHolder">
    <h1 id="title" class="display-4 editableItem" onblur="notEmpty(this)" onfocus="controlFocus(this)" contenteditable>Min dag på havet</h1>
    <p id ="signedBy" class="lead editableItem" style="margin-left: 10px;" onblur="notEmpty(this)" onfocus="controlFocus(this)" contenteditable>
        Andreas Lif
    </p>
    <p id="date" class="lead editableItem" style="margin-left: 10px;" onblur="notEmpty(this)" onfocus="controlFocus(this)" contenteditable>
        2012-15-25
    </p>
    <p class="mb-0" style="text-align: right;font-family: 'Antic Slab', serif;">
        <a id="saveButton" class="menuItem" th:onclick="'javascript:save(' + ${diaryEntry.id} + ')'" data-toggle="popover" title="Error" data-content="And here's some amazing content. It's very engaging. Right?">[Save]</a> <a class="menuItem" th:href="@{/view/{id}(id=${diaryEntry.id})}">[View Mode]</a>
    </p>
    <p id="textHolder123" onblur="checkInputs()" onfocus="controlFocus(this)" class="mb-0 editableItem" style="min-height: 30px; min-width: 30px; opacity: 1; font-family: 'Antic Slab', serif;"contenteditable>
    </p>
</div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script type="text/javascript" th:src="@{/javascript/scripts.js}"></script>
<script th:inline="javascript">
    //Loads data from thymeleaf
    document.getElementById("title").innerText = [[${diaryEntry.title}]]
    document.getElementById("signedBy").innerText = [[${diaryEntry.signedBy}]]
    document.getElementById("date").innerText = [[${diaryEntry.date}]].toString().split("T")[0]
    appendText([[${diaryEntry.text}]], [[${diaryEntry.url}]])
</script>
</html>
